openerp.eiru_reports_purchases = function (instance) {
    "use strict";

    var reporting = instance.eiru_reports_purchases;

    reporting_base(instance,reporting);

    try {
        /*
        ================================
            BASE
        ================================
        */
        pdf(reporting);
        chart(reporting);
        datepicker(reporting);
        /*
        ================================
            VENTAS
        ================================
        */
        report_purchase(reporting);
        report_purchase_analytic(reporting);
    } catch (e) {
        // ignorar error
    }

    /*
    ================================================================================
        HISTORICO DE VENTAS
    ================================================================================
    */
    instance.web.client_actions.add(
        'eiru_reports_purchases.purchase_action',
        'instance.eiru_reports_purchases.ReportPurchaseWidget'
    );
    /*
    ================================================================================
        ANALISIS DE VENTAS
    ================================================================================
     */
    instance.web.client_actions.add(
        'eiru_reports_purchases.purchase_analytic_action',
        'instance.eiru_reports_purchases.ReportPurchaseAnalyticWidget'
    );
};
